Name: ices
Version: 0.4
Release: alt3.2

Summary: Ices - sourcer for use with Icecast daemon.
Packager: Pavlov Konstantin <thresh@altlinux.ru>
License: GPL
Group: Sound
Url: http://www.icecast.org

Source: %name-%version.tar.gz

BuildPreReq: libshout2-devel >= 2.1-alt1

# Automatically added by buildreq on Fri Mar 25 2005
BuildRequires: gcc-c++ gcc-g77 glib2 hostinfo libfaad-devel libflac-devel liblame-devel libmpeg4ip-devel libogg-devel libshout2-devel libstdc++-devel libvorbis-devel libxml2-devel perl-devel pkgconfig python-base python-dev python-modules-encodings zlib-devel

%description
Ices is a streamer for use with icecast.
This package includes full-featured version of ices, with perl and python playlist handlers. Support FLAC, MP4, Vorbis and MP3 sources.

%prep
%setup -q -n %name-%version
#%patch -p0

%build
%add_optflags -I%_includedir/mpeg4
%configure \
	--sysconfdir=%_sysconfdir/%name \
	--with-moddir=%_libdir/%name \
	--with-docdir=%_datadir/doc/%name-%version \
	--with-faad \
	--with-perl \
	--with-python
	
%make_build

%install

%makeinstall sysconfdir=%buildroot%_sysconfdir/%name moddir=%buildroot%_libdir/%name docdir=%buildroot%_datadir/doc/%name-%version
#%__rm -f %buildroot%_libdir/%name/*.py*
find %buildroot{%_sysconfdir,%_libdir}/%name -type f -name '*.dist' |\
	sed 's|.dist$||' |xargs -iz mv -f z.dist z

%files
%doc AUTHORS BUGS COPYING INSTALL README*
%doc doc/icesmanual.html
%dir %_sysconfdir/%name
%dir %_libdir/%name
%config %_sysconfdir/%name/*
%_bindir/%name
%_libdir/%name/*
%_man1dir/*

%changelog
* Fri Mar 25 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.4-alt3.2
- rebuild with mpeg4ip.

* Mon Mar 14 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.4-alt3.1
- rebuild with a new version of libshout2.

* Fri Mar 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.4-alt3
- Temporarily excluded mp4 support. Will add it when mpeg4ip package will be ready.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.4-alt2
- Rebuild with new libshout2.

* Wed Oct 20 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.4-alt1
- Supports FLAC, MP4, Vorbis and MP3 sources.
- Initial build for ALT Linux Sisyphus.
